//+------------------------------------------------------------------+
//|                                       TRO_WPR_WIN_6TF.mq4 
//+------------------------------------------------------------------+
#property copyright "AHGduP"
#property link      "TRO_WPR_WIN_6TF"

#property indicator_chart_window
#property indicator_buffers 5
#property indicator_color1 EMPTY 
#property indicator_color2 EMPTY 
#property indicator_color3 EMPTY 
#property indicator_color4 EMPTY 
#property indicator_color5 EMPTY 


extern int        WprPer_5m    = 14 ;
extern int        WprPer_15m   = 14 ;
extern int        WprPer_30m   = 14 ;
extern int        WprPer_60m   = 14 ;
extern int        WprPer_240m  = 14 ;

extern int        WPR_WIN      = 3 ;//1
extern int        Adj_UpDn     = 0 ;
extern int        Adj_LtRt     = 370 ;
extern int        TextSize     = 10 ;

double  WPR5m[];
double  WPR15m[];
double  WPR30m[];
double  WPR60m[];
double  WPR240m[];
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
int init()
 {
    IndicatorDigits(+0);
    IndicatorBuffers(5);
    SetIndexBuffer(0, WPR5m);
    SetIndexBuffer(1, WPR15m);
    SetIndexBuffer(2, WPR30m);
    SetIndexBuffer(3, WPR60m);
    SetIndexBuffer(4, WPR240m);
 
//=============================MOD====================================================== 
         string  ThisName = "WPR_WIN";
         string Text=ThisName;
         IndicatorShortName(Text); 
         SetIndexLabel(0,"");    
}
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
int deinit()
  {     Refresh();
        return(0);
  }
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
void start()
 {    Refresh();
      int add_y;
      int i,limit,LoopBegin;
//=====================================================================================================
      int HHE,HVE, R5LH,R5LV, R15LH,R15LV, R30LH,R30LV, R60LH,R60LV, R240LH,R240LV;
    
  if  (WPR_WIN==0)
      {                 HHE     = 810 +Adj_LtRt ;  HVE     = 100+Adj_UpDn ; 
                        R5LH   = 810 +Adj_LtRt ;  R5LV   = 120+Adj_UpDn ;     
                        R15LH   = 810 +Adj_LtRt ;  R15LV   = 140+Adj_UpDn ; 
                        R30LH   = 810 +Adj_LtRt ;  R30LV   = 160+Adj_UpDn ; 
                        R60LH  = 810 +Adj_LtRt ;  R60LV  = 180+Adj_UpDn ;  
                        R240LH  = 810 +Adj_LtRt ;  R240LV  = 200+Adj_UpDn ;  
                        
      }
   if  (WPR_WIN==1||2||3||4)
      {                 HHE     = 810 +Adj_LtRt;   HVE     = 10+Adj_UpDn ; 
                        R5LH   = 810 +Adj_LtRt;   R5LV   = 25+Adj_UpDn ;     
                        R15LH   = 810 +Adj_LtRt;   R15LV   = 45+Adj_UpDn ; 
                        R30LH   = 810 +Adj_LtRt;   R30LV   = 65+Adj_UpDn ; 
                        R60LH  = 810 +Adj_LtRt;   R60LV  = 85+Adj_UpDn ;  
                        R240LH  = 810 +Adj_LtRt ;  R240LV  = 105+Adj_UpDn ;  
                       
      }

//========================================================================================== 
                     
 for (i=LoopBegin; i>=0; i--) {
     WPR5m[i]    = iWPR(NULL,PERIOD_M5, WprPer_5m   ,i);
     WPR15m[i]   = iWPR(NULL,PERIOD_M15,WprPer_15m  ,i);
     WPR30m[i]   = iWPR(NULL,PERIOD_M30,WprPer_30m  ,i);
     WPR60m[i]   = iWPR(NULL,PERIOD_H1, WprPer_60m  ,i);
     WPR240m[i]  = iWPR(NULL,PERIOD_H4, WprPer_240m ,i);
                             
//=======================  HEADINGE  =============================================================   
    
     ObjectCreate ("HEADINGWPR", OBJ_LABEL,WPR_WIN, 0, 0);
     ObjectSetText("HEADINGWPR", "     WPR" , TextSize, "Tahoma Bold", Gold);
     ObjectSet    ("HEADINGWPR", OBJPROP_XDISTANCE, HHE);
     ObjectSet    ("HEADINGWPR", OBJPROP_YDISTANCE, HVE); 
     
//=======================  WPR  =================================================================== 
        
   { ObjectCreate ("WPR5R_lab", OBJ_LABEL,WPR_WIN, 0, 0);
     ObjectSetText("WPR5R_lab","  (5) =   "+DoubleToStr(WPR5m[i],1)+"", TextSize, "Tahoma Bold", DeepSkyBlue);
     ObjectSet    ("WPR5R_lab", OBJPROP_XDISTANCE, R5LH);
     ObjectSet    ("WPR5R_lab", OBJPROP_YDISTANCE, R5LV ); 
   }
   
   { ObjectCreate ("WPR15R_lab", OBJ_LABEL,WPR_WIN, 0, 0);
     ObjectSetText("WPR15R_lab","(15) =   "+DoubleToStr(WPR15m[i],1)+"", TextSize, "Tahoma Bold", DeepSkyBlue);
     ObjectSet    ("WPR15R_lab", OBJPROP_XDISTANCE, R15LH);
     ObjectSet    ("WPR15R_lab", OBJPROP_YDISTANCE, R15LV ); 
   }
   
   { ObjectCreate ("WPR30R_lab", OBJ_LABEL,WPR_WIN, 0, 0);
     ObjectSetText("WPR30R_lab","(30) =   "+DoubleToStr(WPR30m[i],1)+"", TextSize, "Tahoma Bold", Yellow);//Kleur verander
     ObjectSet    ("WPR30R_lab", OBJPROP_XDISTANCE, R30LH);
     ObjectSet    ("WPR30R_lab", OBJPROP_YDISTANCE, R30LV ); 
   }
   
   { ObjectCreate ("WPR60R_lab", OBJ_LABEL,WPR_WIN, 0, 0);
     ObjectSetText("WPR60R_lab","(60) =   "+DoubleToStr(WPR60m[i],1)+"", TextSize, "Tahoma Bold", DeepSkyBlue);
     ObjectSet    ("WPR60R_lab", OBJPROP_XDISTANCE, R60LH);
     ObjectSet    ("WPR60R_lab", OBJPROP_YDISTANCE, R60LV ); 
   }

   { ObjectCreate ("WPR240R_lab", OBJ_LABEL,WPR_WIN, 0, 0);
     ObjectSetText("WPR240R_lab","(H4) =   "+DoubleToStr(WPR240m[i],1)+"", TextSize, "Tahoma Bold", DeepSkyBlue);
     ObjectSet    ("WPR240R_lab", OBJPROP_XDISTANCE, R240LH);
     ObjectSet    ("WPR240R_lab", OBJPROP_YDISTANCE, R240LV ); 
   }
   
//==============================================================================================  
     }
     }
//====================================================================
void Refresh() 
   {  ObjectDelete("HEADINGWPR");     
      ObjectDelete ("WPR5R_lab");  
      ObjectDelete("WPR15R_lab"); 
      ObjectDelete("WPR30R_lab");  
      ObjectDelete("WPR60R_lab"); 
      ObjectDelete("WPR240R_lab"); 
   }
 
//------------------------------------------------------------------------------------+


